-- Device mounted on "/mnt/log" is a software RAID1 devices using persistent Mermory devices.
-- Devices mounted on "/mnt/data0" and "/mnt/data1" are persistent memory devices.
CREATE DATABASE tpch1g ON PRIMARY
(	
	NAME 		= tpch1g_root, 
	FILENAME 	= "/mnt/log/root_1G_.mdf", 
	SIZE 		= 50MB, 
	MAXSIZE 	= UNLIMITED,
	FILEGROWTH 	= 5GB
),
FILEGROUP DATA_FG
( NAME = tpch1g_data_1_01, FILENAME = '/mnt/data0/tpch1g_db_data_1_01.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_02, FILENAME = '/mnt/data0/tpch1g_db_data_1_02.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_03, FILENAME = '/mnt/data0/tpch1g_db_data_1_03.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_04, FILENAME = '/mnt/data0/tpch1g_db_data_1_04.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_05, FILENAME = '/mnt/data0/tpch1g_db_data_1_05.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_06, FILENAME = '/mnt/data0/tpch1g_db_data_1_06.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_07, FILENAME = '/mnt/data0/tpch1g_db_data_1_07.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_08, FILENAME = '/mnt/data0/tpch1g_db_data_1_08.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_09, FILENAME = '/mnt/data0/tpch1g_db_data_1_09.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_10, FILENAME = '/mnt/data0/tpch1g_db_data_1_10.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_11, FILENAME = '/mnt/data0/tpch1g_db_data_1_11.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_12, FILENAME = '/mnt/data0/tpch1g_db_data_1_12.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_13, FILENAME = '/mnt/data0/tpch1g_db_data_1_13.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_14, FILENAME = '/mnt/data0/tpch1g_db_data_1_14.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_15, FILENAME = '/mnt/data0/tpch1g_db_data_1_15.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_16, FILENAME = '/mnt/data0/tpch1g_db_data_1_16.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_17, FILENAME = '/mnt/data0/tpch1g_db_data_1_17.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_18, FILENAME = '/mnt/data0/tpch1g_db_data_1_18.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_19, FILENAME = '/mnt/data0/tpch1g_db_data_1_19.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_20, FILENAME = '/mnt/data0/tpch1g_db_data_1_20.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_21, FILENAME = '/mnt/data0/tpch1g_db_data_1_21.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_22, FILENAME = '/mnt/data0/tpch1g_db_data_1_22.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_23, FILENAME = '/mnt/data0/tpch1g_db_data_1_23.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_24, FILENAME = '/mnt/data0/tpch1g_db_data_1_24.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_25, FILENAME = '/mnt/data0/tpch1g_db_data_1_25.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_26, FILENAME = '/mnt/data0/tpch1g_db_data_1_26.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_27, FILENAME = '/mnt/data0/tpch1g_db_data_1_27.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_28, FILENAME = '/mnt/data0/tpch1g_db_data_1_28.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_29, FILENAME = '/mnt/data0/tpch1g_db_data_1_29.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_30, FILENAME = '/mnt/data0/tpch1g_db_data_1_30.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_31, FILENAME = '/mnt/data0/tpch1g_db_data_1_31.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_32, FILENAME = '/mnt/data0/tpch1g_db_data_1_32.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_33, FILENAME = '/mnt/data0/tpch1g_db_data_1_33.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_34, FILENAME = '/mnt/data0/tpch1g_db_data_1_34.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_35, FILENAME = '/mnt/data0/tpch1g_db_data_1_35.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_36, FILENAME = '/mnt/data0/tpch1g_db_data_1_36.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_37, FILENAME = '/mnt/data0/tpch1g_db_data_1_37.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_38, FILENAME = '/mnt/data0/tpch1g_db_data_1_38.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_39, FILENAME = '/mnt/data0/tpch1g_db_data_1_39.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_40, FILENAME = '/mnt/data0/tpch1g_db_data_1_40.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_41, FILENAME = '/mnt/data0/tpch1g_db_data_1_41.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_42, FILENAME = '/mnt/data0/tpch1g_db_data_1_42.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_43, FILENAME = '/mnt/data0/tpch1g_db_data_1_43.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_44, FILENAME = '/mnt/data0/tpch1g_db_data_1_44.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_45, FILENAME = '/mnt/data0/tpch1g_db_data_1_45.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_46, FILENAME = '/mnt/data0/tpch1g_db_data_1_46.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_47, FILENAME = '/mnt/data0/tpch1g_db_data_1_47.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_48, FILENAME = '/mnt/data0/tpch1g_db_data_1_48.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_49, FILENAME = '/mnt/data0/tpch1g_db_data_1_49.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_50, FILENAME = '/mnt/data0/tpch1g_db_data_1_50.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_51, FILENAME = '/mnt/data0/tpch1g_db_data_1_51.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_52, FILENAME = '/mnt/data0/tpch1g_db_data_1_52.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_53, FILENAME = '/mnt/data0/tpch1g_db_data_1_53.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_54, FILENAME = '/mnt/data0/tpch1g_db_data_1_54.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_55, FILENAME = '/mnt/data0/tpch1g_db_data_1_55.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_1_56, FILENAME = '/mnt/data0/tpch1g_db_data_1_56.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_01, FILENAME = '/mnt/data1/tpch1g_db_data_2_01.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_02, FILENAME = '/mnt/data1/tpch1g_db_data_2_02.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_03, FILENAME = '/mnt/data1/tpch1g_db_data_2_03.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_04, FILENAME = '/mnt/data1/tpch1g_db_data_2_04.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_05, FILENAME = '/mnt/data1/tpch1g_db_data_2_05.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_06, FILENAME = '/mnt/data1/tpch1g_db_data_2_06.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_07, FILENAME = '/mnt/data1/tpch1g_db_data_2_07.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_08, FILENAME = '/mnt/data1/tpch1g_db_data_2_08.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_09, FILENAME = '/mnt/data1/tpch1g_db_data_2_09.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_10, FILENAME = '/mnt/data1/tpch1g_db_data_2_10.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_11, FILENAME = '/mnt/data1/tpch1g_db_data_2_11.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_12, FILENAME = '/mnt/data1/tpch1g_db_data_2_12.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_13, FILENAME = '/mnt/data1/tpch1g_db_data_2_13.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_14, FILENAME = '/mnt/data1/tpch1g_db_data_2_14.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_15, FILENAME = '/mnt/data1/tpch1g_db_data_2_15.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_16, FILENAME = '/mnt/data1/tpch1g_db_data_2_16.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_17, FILENAME = '/mnt/data1/tpch1g_db_data_2_17.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_18, FILENAME = '/mnt/data1/tpch1g_db_data_2_18.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_19, FILENAME = '/mnt/data1/tpch1g_db_data_2_19.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_20, FILENAME = '/mnt/data1/tpch1g_db_data_2_20.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_21, FILENAME = '/mnt/data1/tpch1g_db_data_2_21.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_22, FILENAME = '/mnt/data1/tpch1g_db_data_2_22.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_23, FILENAME = '/mnt/data1/tpch1g_db_data_2_23.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_24, FILENAME = '/mnt/data1/tpch1g_db_data_2_24.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_25, FILENAME = '/mnt/data1/tpch1g_db_data_2_25.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_26, FILENAME = '/mnt/data1/tpch1g_db_data_2_26.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_27, FILENAME = '/mnt/data1/tpch1g_db_data_2_27.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_28, FILENAME = '/mnt/data1/tpch1g_db_data_2_28.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_29, FILENAME = '/mnt/data1/tpch1g_db_data_2_29.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_30, FILENAME = '/mnt/data1/tpch1g_db_data_2_30.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_31, FILENAME = '/mnt/data1/tpch1g_db_data_2_31.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_32, FILENAME = '/mnt/data1/tpch1g_db_data_2_32.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_33, FILENAME = '/mnt/data1/tpch1g_db_data_2_33.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_34, FILENAME = '/mnt/data1/tpch1g_db_data_2_34.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_35, FILENAME = '/mnt/data1/tpch1g_db_data_2_35.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_36, FILENAME = '/mnt/data1/tpch1g_db_data_2_36.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_37, FILENAME = '/mnt/data1/tpch1g_db_data_2_37.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_38, FILENAME = '/mnt/data1/tpch1g_db_data_2_38.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_39, FILENAME = '/mnt/data1/tpch1g_db_data_2_39.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_40, FILENAME = '/mnt/data1/tpch1g_db_data_2_40.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_41, FILENAME = '/mnt/data1/tpch1g_db_data_2_41.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_42, FILENAME = '/mnt/data1/tpch1g_db_data_2_42.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_43, FILENAME = '/mnt/data1/tpch1g_db_data_2_43.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_44, FILENAME = '/mnt/data1/tpch1g_db_data_2_44.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_45, FILENAME = '/mnt/data1/tpch1g_db_data_2_45.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_46, FILENAME = '/mnt/data1/tpch1g_db_data_2_46.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_47, FILENAME = '/mnt/data1/tpch1g_db_data_2_47.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_48, FILENAME = '/mnt/data1/tpch1g_db_data_2_48.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_49, FILENAME = '/mnt/data1/tpch1g_db_data_2_49.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_50, FILENAME = '/mnt/data1/tpch1g_db_data_2_50.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_51, FILENAME = '/mnt/data1/tpch1g_db_data_2_51.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_52, FILENAME = '/mnt/data1/tpch1g_db_data_2_52.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_53, FILENAME = '/mnt/data1/tpch1g_db_data_2_53.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_54, FILENAME = '/mnt/data1/tpch1g_db_data_2_54.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_55, FILENAME = '/mnt/data1/tpch1g_db_data_2_55.mdf', SIZE = 10MB, FILEGROWTH = 10MB ),
( NAME = tpch1g_data_2_56, FILENAME = '/mnt/data1/tpch1g_db_data_2_56.mdf', SIZE = 10MB, FILEGROWTH = 10MB )
LOG ON 
(
	NAME		= tpch1g_log, 
	FILENAME	= '/mnt/log/tpch1g_log.mdf',
	SIZE		= 6020MB,
	FILEGROWTH 	= 10MB
)
COLLATE Latin1_General_BIN
